@monosync/botkit-storage-pg
Botkit PostgreSQL storage driver
Last updated 8 months ago by vsych .
ISC · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install @monosync/botkit-storage-pg 
SYNC missed versions from official npm registry.

NOT MAINTAINED

This project is not maintained and is not used by creators anymore. If anybody want to maintain the project, fork it or write us.

botkit-storage-postgres

Postgres storage module for Botkit

Usage

Install with npm

npm install botkit-storage-postgres --save

and require it and use it:

var botkitStoragePostgres = require('botkit-storage-postgres');
var Botkit = require('botkit');

var controller = Botkit.slackbot({
  storage: botkitStoragePostgres({
    host: 'localhost',
    user: 'botkit',
    password: 'botkit',
    database: 'botkit'
  })
});

Requirements

  • Node 6.7 or later
  • Postgres 9.5 or later

Current Tags

  • 0.0.2                                ...           latest (8 months ago)

2 Versions

  • 0.0.2                                ...           8 months ago
  • 0.0.1                                ...           8 months ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 1
Last Day 0
Last Week 1
Last Month 0
Dependencies (2)
Dev Dependencies (0)
None
Dependents (0)
None

Copyright 2014 - 2016 © taobao.org |